baseline.rollingBall {baseline} | R Documentation

## Rolling ball

### Description

Ideas from Rolling Ball algorithm for X-ray spectra by M.A.Kneen and H.J. Annegarn. Variable window width has been left out

### Usage

    baseline.rollingBall(spectra, wm, ws)

### Arguments

`spectra` | Matrix with spectra in rows
`wm` | Width of local window for minimization/maximization
`ws` | Width of local window for smoothing

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### References

M.A. Kneen, H.J. Annegarn: Algorithm for fitting XRF, SEM and PIXE X-ray spectra backgrounds

### Examples

    data(milk)
    bc.rollingBall <- baseline(milk$spectra[1,, drop=FALSE], wm=200, ws=200,
    	method='rollingBall')
    ## Not run:
    	plot(bc.rollingBall)

    ## End(Not run)

[Package baseline version 1.2-1 Index]